Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1277569 (atomic_guest_os) - [RFE] Atomic guest OS support
Summary: [RFE] Atomic guest OS support
Keywords:
Status: CLOSED ERRATA
Alias: atomic_guest_os
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 3.6.0
Hardware: Unspecified
OS: Linux
high
high vote
Target Milestone: ovirt-4.0.0-beta
: 4.0.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On: 1201516 agent_docker_report
Blocks: 1355965
TreeView+ depends on / blocked
 
Reported: 2015-11-03 14:55 UTC by Moran Goldboim
Modified: 2016-07-13 07:28 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this update, support for Red Hat Enterprise Linux Atomic Host as a configurable system has been added to the Red Hat Virtualization Manager.
Clone Of:
Environment:
Last Closed: 2016-07-05 07:39:44 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.0+
mavital: testing_plan_complete+
mgoldboi: planning_ack+
michal.skrivanek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 57387 master MERGED Add Red Hat Atomic as an operating system 2016-05-13 07:21:21 UTC

Description Moran Goldboim 2015-11-03 14:55:50 UTC
Description of problem:
Additional support to run Atomic as a guest OS under RHEV is requested to be implemented.

Additional info:
The support for running the guest with GUI indication, and the ability to use the guest agent with it.

Comment 4 Yaniv Kaul 2016-04-18 06:53:56 UTC
What's left to do here?

Comment 5 Vinzenz Feenstra [evilissimo] 2016-04-19 12:10:55 UTC
I guess this one needs the os info entries for atomic, we should figure out what we would want to do in case of Fedora Atomic, since the version changes every half year which is not a good situation

The guest side is pending on the depending RHBZ#1201516

Comment 6 Sandro Bonazzola 2016-05-02 09:48:49 UTC
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.

Comment 7 meital avital 2016-05-05 10:43:25 UTC
In order to verify this feature, we need a wiki page.

Comment 8 Vinzenz Feenstra [evilissimo] 2016-05-05 10:45:39 UTC
I am going to write it as soon as I have all the details narrowed down on how to correctly use it and I have to determine how to correctly setup the environment.
Once I have all the details I will write a full fledged article for it.

Comment 9 Fedora Update System 2016-05-19 14:32:55 UTC
ovirt-guest-agent-1.0.12-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-499f565210

Comment 10 Fedora Update System 2016-05-19 14:33:15 UTC
ovirt-guest-agent-1.0.12-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9b70109a9

Comment 11 Fedora Update System 2016-05-19 14:33:36 UTC
ovirt-guest-agent-1.0.12-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f1b2c6aca

Comment 12 Fedora Update System 2016-05-19 14:33:58 UTC
ovirt-guest-agent-1.0.12-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52ef7b1260

Comment 13 Fedora Update System 2016-05-19 14:34:20 UTC
ovirt-guest-agent-1.0.12-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73f421c9e9

Comment 14 Fedora Update System 2016-05-21 01:32:14 UTC
ovirt-guest-agent-1.0.12-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52ef7b1260

Comment 15 Fedora Update System 2016-05-21 02:26:56 UTC
ovirt-guest-agent-1.0.12-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9b70109a9

Comment 16 Fedora Update System 2016-05-21 05:47:54 UTC
ovirt-guest-agent-1.0.12-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0f1b2c6aca

Comment 17 Fedora Update System 2016-05-21 05:49:26 UTC
ovirt-guest-agent-1.0.12-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-499f565210

Comment 18 Fedora Update System 2016-05-21 06:22:15 UTC
ovirt-guest-agent-1.0.12-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73f421c9e9

Comment 19 Fedora Update System 2016-05-23 07:15:08 UTC
ovirt-guest-agent-1.0.12-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6

Comment 20 Fedora Update System 2016-05-23 07:15:34 UTC
ovirt-guest-agent-1.0.12-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f

Comment 21 Fedora Update System 2016-05-23 07:15:57 UTC
ovirt-guest-agent-1.0.12-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897

Comment 22 Fedora Update System 2016-05-24 02:52:16 UTC
ovirt-guest-agent-1.0.12-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4e53ce39a6

Comment 23 Fedora Update System 2016-05-24 02:56:35 UTC
ovirt-guest-agent-1.0.12-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-753af77897

Comment 24 Fedora Update System 2016-05-24 06:19:33 UTC
ovirt-guest-agent-1.0.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b707abcf0f

Comment 25 Shira Maximov 2016-05-24 16:07:47 UTC
verified on :
oVirt Engine Version: 4.0.0-0.0.master.20160523171412.git1a7a1f3.el7.centos

verification steps: 
1. Browse webadmin --> Virtual machines tab --> New VM --> Icon
2. Select different OS type in  "Red Hat Atomic 7.x x64"  dropbox.
3.Edit each VM and sselect icon tab - check that the icon tab is the atomic icon
4. Browse user portal --> check that the vm has the atomic icon.

Comment 26 Yaniv Kaul 2016-05-24 18:00:41 UTC
Shira,  did you try to launch an Atomic host? 
A container within? 
This has to be properly and fully tested.

Comment 27 Vinzenz Feenstra [evilissimo] 2016-05-25 06:11:19 UTC
Yaniv, that part is tested by jbelka when he verifies https://bugzilla.redhat.com/show_bug.cgi?id=1273399 this he is testing very thoroughly 
This BZ only handles the part Shira has tested.

Comment 28 Fedora Update System 2016-06-21 08:05:11 UTC
ovirt-guest-agent-1.0.12-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b

Comment 29 Fedora Update System 2016-06-21 08:05:35 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad

Comment 30 Fedora Update System 2016-06-21 08:05:59 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2

Comment 31 Fedora Update System 2016-06-21 08:06:21 UTC
ovirt-guest-agent-1.0.12-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c952eb96e6

Comment 32 Fedora Update System 2016-06-21 08:06:43 UTC
ovirt-guest-agent-1.0.12-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8861978763

Comment 33 Fedora Update System 2016-06-21 08:22:09 UTC
ovirt-guest-agent-1.0.12-3.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c4aff834f8

Comment 34 Fedora Update System 2016-06-22 01:48:15 UTC
ovirt-guest-agent-1.0.12-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8861978763

Comment 35 Fedora Update System 2016-06-22 02:19:01 UTC
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ddb2d7b43b

Comment 36 Fedora Update System 2016-06-22 02:26:32 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-40b51529ad

Comment 37 Fedora Update System 2016-06-22 02:54:19 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9524b795a2

Comment 38 Fedora Update System 2016-06-22 03:17:49 UTC
ovirt-guest-agent-1.0.12-3.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c4aff834f8

Comment 39 Sandro Bonazzola 2016-07-05 07:39:44 UTC
oVirt 4.0.0 has been released, closing current release.

Comment 40 Fedora Update System 2016-07-11 23:17:50 UTC
ovirt-guest-agent-1.0.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2016-07-11 23:20:10 UTC
ovirt-guest-agent-1.0.12-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2016-07-12 02:26:00 UTC
ovirt-guest-agent-1.0.12-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2016-07-12 05:47:21 UTC
ovirt-guest-agent-1.0.12-3.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2016-07-12 15:08:11 UTC
ovirt-guest-agent-1.0.12-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.